Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.plugin.system
Class SystemTrainingPlugin

    java.lang.Object
      org.encog.plugin.system.SystemTrainingPlugin

All Implemented Interfaces:
  EncogPluginBase, EncogPluginService1

    public class SystemTrainingPlugin

extends Object
implements EncogPluginService1

Field Summary

Fields inherited from interface org.encog.plugin.EncogPluginBase
`TYPE_LOGGING, TYPE_SERVICE`

Constructor Summary
`SystemTrainingPlugin()`

Method Summary
`ActivationFunction` | `createActivationFunction(String name)` This plugin does not support activation functions, so it will always return null.
`MLMethod` | `createMethod(String methodType, String architecture, int input, int output)` Create a new machine learning method.
`MLTrain` | `createTraining(MLMethod method, MLDataSet training, String type, String args)` Create a trainer.
`String` | `getPluginDescription()`
`String` | `getPluginName()`
`int` | `getPluginServiceType()`
`int` | `getPluginType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SystemTrainingPlugin

    public SystemTrainingPlugin()

Method Detail

### getPluginDescription

    public final String getPluginDescription()

  Specified by:
    `getPluginDescription` in interface `EncogPluginBase`
  Returns:
    The plugin description.

### getPluginName

    public final String getPluginName()

  Specified by:
    `getPluginName` in interface `EncogPluginBase`
  Returns:
    The name of the plugin.

### getPluginType

    public final int getPluginType()

  Specified by:
    `getPluginType` in interface `EncogPluginBase`
  Returns:
    This is a type-1 plugin.

### createActivationFunction

    public ActivationFunction createActivationFunction(String name)

  This plugin does not support activation functions, so it will always return null.

  Specified by:
    `createActivationFunction` in interface `EncogPluginService1`
  Parameters:
    `name` - The name of the activation function.
  Returns:
    Null, because this plugin does not support activation functions.

### createMethod

    public MLMethod createMethod(String methodType,
                                 String architecture,
                                 int input,
                                 int output)

  Description copied from interface: `EncogPluginService1`
  Create a new machine learning method.

  Specified by:
    `createMethod` in interface `EncogPluginService1`
  Parameters:
    `methodType` - The method to create.
    `architecture` - The architecture string.
    `input` - The input count.
    `output` - The output count.
  Returns:
    The newly created machine learning method.

### createTraining

    public MLTrain createTraining(MLMethod method,
                                  MLDataSet training,
                                  String type,
                                  String args)

  Description copied from interface: `EncogPluginService1`
  Create a trainer.

  Specified by:
    `createTraining` in interface `EncogPluginService1`
  Parameters:
    `method` - The method to train.
    `training` - The training data.
    `type` - Type type of trainer.
    `args` - The training args.
  Returns:
    The new training method.

### getPluginServiceType

    public int getPluginServiceType()

  Specified by:
    `getPluginServiceType` in interface `EncogPluginBase`
  Returns:
    The service type provided by this plugin.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.